import { jsx } from "react/jsx-runtime";
import { TokenEUROE as TokenEUROE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEUROE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EUROE", "data-name": "TokenEUROE", ...props, children: /* @__PURE__ */ jsx(TokenEUROE$1, { variant }) });
  }
);
TokenEUROE.displayName = "TokenEUROE";
Object.assign(TokenEUROE, { isGdsIcon: true });
export {
  TokenEUROE
};
